This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 866466 - getting IndexError in case that there is no python available
getting IndexError in case that there is no python available
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lorax (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 08:43 EDT by Lubos Kocman
Modified: 2014-01-31 19:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-31 19:11:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubos Kocman 2012-10-15 08:43:53 EDT
IndexError exception is being raised in case that pythondir was not found. As mgracik suggested nice handling could be direct exit with some problem description.

Problematic line:

PYTHONDIR = glob("usr/"+libdir+"/python?.?")[0]


Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pylorax/ltmpl.py", line 51, in parse
    textbuf = template.render(**variables)
  File "/usr/lib/python2.7/site-packages/mako/template.py", line 302, in render
    return runtime._render(self, self.callable_, args, data)
  File "/usr/lib/python2.7/site-packages/mako/runtime.py", line 660, in _render
    **_kwargs_for_callable(callable_, data))
  File "/usr/lib/python2.7/site-packages/mako/runtime.py", line 692, in _render_context
    _exec_template(inherit, lclcontext, args=args, kwargs=kwargs)
  File "/usr/lib/python2.7/site-packages/mako/runtime.py", line 718, in _exec_template
    callable_(context, *args, **kwargs)
  File "/usr/share/lorax/runtime-postinstall.tmpl", line 5, in render_body
    <%
IndexError: list index out of range

nge

inherit, lclcontext, args=args, kwargs=kwargs)
  File "/usr/lib/python2.7/site-packages/mako/runtime.py", line 718, in _exec_template
    callable_(context, *args, **kwargs)
  File "/usr/share/lorax/runtime-postinstall.tmpl", line 5, in render_body
    <%
IndexError: list index out of range
Comment 1 Fedora Admin XMLRPC Client 2013-02-04 10:03:49 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-04-03 09:48:42 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Brian Lane 2014-01-31 19:11:03 EST
If the python lib directory is missing you have other problems (eg. missing python package)

Note You need to log in before you can comment on or make changes to this bug.